tvbrowser.ui.pluginview

## Class PluginViewWrapper

- java.lang.Object
- - devplugin.PluginCenterPanel
  - - tvbrowser.ui.pluginview.PluginViewWrapper

-     public class PluginViewWrapper
      extends PluginCenterPanel

  A wrapper class for the plugin view, used for the new center panel function since version 3.2.

  Since:
    3.2.1
  Author:
    René Mach

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PluginViewWrapper(PluginView view)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Gets the name of this PluginCenterPanel that is used to show in the tab bar of the main window of TV-Browser.
    `javax.swing.JPanel` | `getPanel()` Gets the JPanel that should be shown in the tab bar of the TV-Browser main window.

    - ### Methods inherited from class devplugin.PluginCenterPanel

      `getId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PluginViewWrapper

          public PluginViewWrapper(PluginView view)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Description copied from class: `PluginCenterPanel`
      Gets the name of this PluginCenterPanel that is used to show in the tab bar of the main window of TV-Browser.
      Specified by:
        `getName` in class `PluginCenterPanel`
      Returns:
        The name of this PluginCenterPanel

    - #### getPanel

          public javax.swing.JPanel getPanel()

      Description copied from class: `PluginCenterPanel`
      Gets the JPanel that should be shown in the tab bar of the TV-Browser main window.
      Specified by:
        `getPanel` in class `PluginCenterPanel`
      Returns:
        The JPanel that is used in the main window.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)